Skip to content

Get the Solana transfer proof to resume

GET
/solana/transfer-proofs/current
curl --request GET \
--url https://api.ethos.network/api/v2/solana/transfer-proofs/current \
--header 'X-Ethos-Api-Key: <X-Ethos-Api-Key>'

Returns the profile’s open request, or a recently verified one that isn’t attested yet, without opening a new one. Null when there is neither.

Successful response

Media typeapplication/json
Any of:
One of:
object
amountLamports
required
number
expiresAt
required
string
id
required
number
receiver
required
string
status
required
string
Allowed value: PENDING

Example

{
"status": "PENDING"
}

Authorization not provided

Media typeapplication/json
Authorization not provided error (401)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}

Insufficient access

Media typeapplication/json
Insufficient access error (403)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}